-- MySQL dump 10.10
--
-- Host: localhost    Database: temavalaszt
-- ------------------------------------------------------
-- Server version	5.0.27-community-max-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


create Database TemaValaszt;

USE TemaValaszt;


--
-- Table structure for table `group`
--

DROP TABLE IF EXISTS `group`;
CREATE TABLE `group` (
  `ObjectID` int(10) unsigned NOT NULL auto_increment,
  `Name` varchar(45) NOT NULL,
  PRIMARY KEY  (`ObjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `group`
--

LOCK TABLES `group` WRITE;
/*!40000 ALTER TABLE `group` DISABLE KEYS */;
INSERT INTO `group` VALUES (1,'info II'),(2,'info +'),(3,'matinfo'),(4,'matinfo +'),(5,'masok'),(6,'fizinfo');
/*!40000 ALTER TABLE `group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `project`
--

DROP TABLE IF EXISTS `project`;
CREATE TABLE `project` (
  `ObjectID` int(10) unsigned NOT NULL auto_increment,
  `Title` varchar(45) NOT NULL,
  `Description` text NOT NULL,
  `ProposedBy` int(10) unsigned NOT NULL,
  `State` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`ObjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `project`
--

LOCK TABLES `project` WRITE;
/*!40000 ALTER TABLE `project` DISABLE KEYS */;
INSERT INTO `project` VALUES (1,'Ütemezés Windows rendszerekben','xxx',1,1),(2,'Folyamatok állapotai Windows rendszerekben','xxx',1,1);
/*!40000 ALTER TABLE `project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
CREATE TABLE `student` (
  `ObjectID` int(10) unsigned NOT NULL auto_increment,
  `UserName` varchar(45) NOT NULL,
  `FirstName` varchar(45) NOT NULL,
  `LastName` varchar(45) NOT NULL,
  `Passwd` varchar(45) NOT NULL,
  `Group` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`ObjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `student`
--

LOCK TABLES `student` WRITE;
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` VALUES (1,'fiktiv','fiktiv1','fiktiv2','fiktiv',1)
;
/*!40000 ALTER TABLE `student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `studenttoproject`
--

DROP TABLE IF EXISTS `studenttoproject`;
CREATE TABLE `studenttoproject` (
  `ObjectID` int(10) unsigned NOT NULL auto_increment,
  `ProjectID` int(10) unsigned NOT NULL,
  `StudentID` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`ObjectID`),
  KEY `FK_studenttoproject_1` (`ProjectID`),
  KEY `FK_studenttoproject_2` (`StudentID`),
  CONSTRAINT `FK_studenttoproject_1` FOREIGN KEY (`ProjectID`) REFERENCES `project` (`ObjectID`),
  CONSTRAINT `FK_studenttoproject_2` FOREIGN KEY (`StudentID`) REFERENCES `student` (`ObjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `studenttoproject`
--

LOCK TABLES `studenttoproject` WRITE;
/*!40000 ALTER TABLE `studenttoproject` DISABLE KEYS */;
/*!40000 ALTER TABLE `studenttoproject` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-10-09 16:24:02
